> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a particular wishlist with items.

> Returns a wishlist with paginated wishlist items.



## OpenAPI

````yaml /swagger/auth-api.json get /api/v1/{app_id}/wishlists/{id}
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Auth API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //customers.enad.io
security: []
paths:
  /api/v1/{app_id}/wishlists/{id}:
    get:
      tags:
        - Wishlist
      summary: Get a particular wishlist with items.
      description: Returns a wishlist with paginated wishlist items.
      parameters:
        - description: UUID of the app
          in: path
          name: app_id
          required: true
          schema:
            type: string
        - description: UUID of the wishlist
          in: path
          name: id
          required: true
          schema:
            type: string
        - description: 'Page number (default: 1, minimum: 1)'
          in: query
          name: page
          schema:
            type: integer
        - description: 'Number of items per page (default: 20, minimum: 1, maximum: 100)'
          in: query
          name: per_page
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.WishlistWithItemsResponse
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage
        '404':
          description: Wishlist not found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage
      security:
        - Bearer: []
components:
  schemas:
    github_com_enadhq_koopa-key_internal_pkg_server_models.WishlistWithItemsResponse:
      properties:
        created_at:
          type: string
        id:
          type: string
        is_default:
          type: boolean
        items:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.WishlistItemResponse
          type: array
        name:
          type: string
        page:
          type: integer
        page_size:
          type: integer
        total_items:
          type: integer
        total_pages:
          type: integer
        updated_at:
          type: string
        user_id:
          type: string
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_models.WishlistItemResponse:
      properties:
        created_at:
          type: string
        id:
          type: string
        product:
          $ref: >-
            #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.ProductResponse
        product_id:
          type: string
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_models.ProductResponse:
      properties:
        brand:
          $ref: >-
            #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.BrandResponse
        created_at:
          type: string
        custom:
          additionalProperties: {}
          type: object
        description:
          type: string
        html_description:
          type: string
        html_short_description:
          type: string
        id:
          type: string
        images:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.ImageResponse
          type: array
        product_name:
          type: string
        product_number:
          type: string
        short_description:
          type: string
        slug:
          type: string
        status:
          type: string
        translations_description:
          additionalProperties: {}
          type: object
        translations_html_description:
          additionalProperties: {}
          type: object
        translations_html_short_description:
          additionalProperties: {}
          type: object
        translations_product_name:
          additionalProperties: {}
          type: object
        translations_short_description:
          additionalProperties: {}
          type: object
        translations_slug:
          additionalProperties: {}
          type: object
        updated_at:
          type: string
        variants:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.VariantResponse
          type: array
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_models.BrandResponse:
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        variant:
          type: string
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_models.ImageResponse:
      properties:
        alt_text:
          type: string
        blurhash:
          type: string
        custom:
          additionalProperties: {}
          type: object
        id:
          type: string
        image_url:
          type: string
        title:
          type: string
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_models.VariantResponse:
      properties:
        created_at:
          type: string
        id:
          type: string
        images:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.ImageResponse
          type: array
        prices:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.VariantPriceResponse
          type: array
        product_id:
          type: string
        status:
          type: string
        translations_name:
          additionalProperties: {}
          type: object
        updated_at:
          type: string
        validate_stock:
          type: boolean
        variant_name:
          type: string
        variant_number:
          type: string
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_models.VariantPriceResponse:
      properties:
        amount_cents_with_tax:
          type: integer
        country_codes:
          items:
            type: string
          type: array
        created_at:
          type: string
        id:
          type: string
        market_id:
          type: string
        market_slug:
          type: string
        on_sale:
          type: boolean
        reference_price:
          type: integer
        sale_end_date:
          type: string
        sale_price_with_tax:
          type: integer
        sale_start_date:
          type: string
        status:
          type: string
        store_group:
          type: string
        store_group_slug:
          type: string
        updated_at:
          type: string
        variant_id:
          type: string
      type: object

````